%define upstream_name    Pod-Elemental-MakeSelector
%define upstream_version 0.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Build complex selectors as a single sub
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::Elemental)
BuildRequires: perl(Pod::Elemental::Element::Generic::Blank)
BuildRequires: perl(Pod::Elemental::Element::Generic::Command)
BuildRequires: perl(Pod::Elemental::Element::Pod5::Command)
BuildRequires: perl(Pod::Elemental::Element::Pod5::Ordinary)
BuildRequires: perl(Pod::Elemental::Element::Pod5::Region)
BuildRequires: perl(Pod::Elemental::Transformer::Pod5)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
The selectors provided by the Pod::Elemental::Selectors manpage are fairly
limited, and there's no built-in way to combine them. For example, there's
no simple way to generate a selector that matches a section with a specific
name (a fairly common requirement).

This module exports a single subroutine: 'make_selector'. It can handle
everything that Pod::Elemental::Selectors can do, plus many things it
can't. It also makes it easy to combine criteria. It compiles all the
criteria you supply into a single coderef.

A selector is just a coderef that expects a single parameter: an object
that does Pod::Elemental::Paragraph. It returns a true value if the
paragraph meets the selector's criteria.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc META.json META.yml LICENSE Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.120.0-4.mga8
+ Revision: 1496630
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.120.0-3.mga7
+ Revision: 1270538
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.120.0-2.mga6
+ Revision: 1032295
- Rebuild for perl 5.22.2

* Mon Dec 28 2015 shlomif <shlomif> 0.120.0-1.mga6
+ Revision: 916506
- imported package perl-Pod-Elemental-MakeSelector


* Mon Dec 28 2015 cpan2dist 0.12-1mga
- initial mageia release, generated with cpan2dist
